function [L, R, M] = IsomapArms( dir, k);
%ISOMAPARMS :- This function genetates isomap for two arms that have four degree of freedom in 
%form of rotation angle. Question B(2)
%%  
if nargin < 1
    dir = 'arms2';
end
if nargin < 2
    k = 7;
end
[data, names] = loadImageData(dir);
D  = L2_distance(data, data,1);
%D1  = tangent_d(data, data,1);
dims = 10;
[L, R, M] = Isomap(D, 'k', k, dims);
%[L, R, M] = Isomap(D1,'k',k,dims);

end

